## com.puppycrawl.tools.checkstyle.checks.whitespace
Class ParenPadCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck<PadOption>
                      com.puppycrawl.tools.checkstyle.checks.whitespace.ParenPadCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class ParenPadCheck

extends AbstractOptionCheck<PadOption>

Checks the padding of parentheses; that is whether a space is required after a left parenthesis and before a right parenthesis, or such spaces are forbidden, with the exception that it does not check for padding of the right parenthesis at an empty for iterator. Use Check `EmptyForIteratorPad` to validate empty for iterators.

The policy to verify is specified using the `PadOption` class and defaults to `PadOption.NOSPACE`.

By default the check will check parentheses that occur with the following tokens: `CTOR_CALL`, `LPAREN`, `METHOD_CALL`, `RPAREN`, `SUPER_CTOR_CALL`,

An example of how to configure the check is:

     <module name="ParenPad"/>

An example of how to configure the check to require spaces for the parentheses of constructor, method, and super constructor invocations is:

     <module name="ParenPad">
         <property name="tokens"
                   value="CTOR_CALL, METHOD_CALL, SUPER_CTOR_CALL"/>
         <property name="option" value="space"/>
     </module>

Version:
  1.0
Author:
  Oliver Burn

Constructor Summary
`ParenPadCheck()`

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`protected void` `processLeft(DetailAST aAST)` Process a token representing a left parentheses.
`protected void` `processRight(DetailAST aAST)` Process a token representing a right parentheses.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
`getAbstractOption, setOption`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParenPadCheck

    public ParenPadCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### processLeft

    protected void processLeft(DetailAST aAST)

  Process a token representing a left parentheses.

  Parameters:
    `aAST` - the token representing a left parentheses

### processRight

    protected void processRight(DetailAST aAST)

  Process a token representing a right parentheses.

  Parameters:
    `aAST` - the token representing a right parentheses

Copyright © 2001-2011. All Rights Reserved.